<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CGame Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCGame.html">CGame</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CGame</b>(void) (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CGame</b>(const CGame &amp;src)=delete (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#a5d5fbebc71e7e6fa40bc329497a68e2b">loadEntities</a>(const string &amp;filename)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCGame.html#a43cc1d9c7e2e841d91d4c107a27571c1">loadGame</a>(const string &amp;filename, bool newGame)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#a2dbbc13fbdf70a185d79b076f89499f4">loadSavedGame</a>(const string &amp;filename)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCGame.html#adb78984d62a00d886e66ebdebd63d84e">m_attackers</a></td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_attackersTotal</b> (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_gamePlan</b> (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_mapFolder</b> (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_score</b> (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_towers</b> (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCGame.html#a9b23c9dcdbfbf427d24297922f7eb4d9">moveAndPrint</a>(void)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#a7da2448de770887a482600c5b67513c9">operator&lt;&lt;</a>(ostream &amp;os, const CGame &amp;game)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(const CGame &amp;src)=delete (defined in <a class="el" href="classCGame.html">CGame</a>)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#acd16ed32e3fb7df57fc7a65417a96c3b">parseLine</a>(const string &amp;line)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCGame.html#a07b1e4bfe98ede3ce94dfd102e3d5eff">parseSave</a>(const string &amp;line)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#ad391dcddfc35c1d0a7ed37424b7d768e">play</a>(void)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCGame.html#a8abe1da5e4a2d2bb3eb1244a7d6522b5">readNextMove</a>(void)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#a94dd70176edcdc7b0cb16cf461c74652">saveGame</a>(const string &amp;outfile)</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCGame.html#acdb41532fb29eab0a25689e237d87d1e">saveScore</a>() const</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCGame.html#a4db10c09035dc16b32d6c1ef4cca2143">~CGame</a>()</td><td class="entry"><a class="el" href="classCGame.html">CGame</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
